unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, JPEG,
  StdCtrls, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Image2: TImage;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Animate1: TAnimate;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    DllHandle: THandle;
  end;

const
  crMyCursor = 10;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  ResStream: TResourceStream;
  JPEG: TJPEGImage;
begin
  if DllHandle = 0 then Exit;

  JPEG := TJPEGImage.Create;
  try
    ResStream := TResourceStream.Create(DllHandle, 'MyJPG', 'JPEG');
    try
      JPEG.LoadFromStream(ResStream);
      Image1.Picture.Bitmap.Assign(JPEG);
    finally
      ResStream.Free;
    end;
  finally
    JPEG.Free;
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if DllHandle = 0 then Exit;

  try
    with Animate1 do
    try
      try
        ResHandle := DllHandle;
      finally
        ResName := 'MyAVI';
      end;
    finally
      Play(1, FrameCount, 0);
    end;
  except
     // ܴ  ... ^^
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  DllHandle := LoadLibrary('MyResource.DLL');

  if DllHandle < HINSTANCE_ERROR then
  begin
    ShowMessage('DLL б⿡ ߽ϴ.');
    Exit;
  end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  FreeLibrary(DllHandle);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Screen.Cursors[crMyCursor] := LoadCursor(DllHandle, 'MyCur');
  Screen.Cursor := crMyCursor;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Image2.Picture.Bitmap.LoadFromResourceName(DllHandle, 'MyBmp');
end;

end.

